#! /usr/bin/perl
##
## Produce test programs for the specified directory.
##
## Command-line arguments:
## 1. the Pooma root directory
## 2. the Pooma subdirectory containing the .cpp test files
## 3. a QMTest template file

die("missing Pooma root\n") unless @ARGV;
$PoomaRoot = shift;
die("missing directory\n") unless @ARGV;
$directory = shift;
die("missing template-file\n") unless @ARGV;
$template = shift;

$totalDirectory = "${PoomaRoot}/${directory}";

opendir THISDIR, $totalDirectory or die("serious braindamage: $!");
@allfiles = grep /\.cpp$/, readdir THISDIR;
closedir THISDIR;

foreach $file (@allfiles)
{
    # Remove the suffix and lowercase the file.
    $stripFile = $file;
    $stripFile =~ s#\.cpp##;
    $lowerStripFile = $stripFile;
    $lowerStripFile =~ tr/[A-Z]/[a-z]/;

    open(TEMPLATE, "$template") || die("Unable to read $template");
    print("write ${lowerStripFile}.qmt\n");
    open(OUTPUT, ">${lowerStripFile}.qmt") || die("Unable to open output file ${lowerStripFile}.qmt");
    while (<TEMPLATE>) {
	s#DIRECTORY#${directory}#g;
	s#FILE#${stripFile}#g;
	print(OUTPUT $_);
    }
    close(OUTPUT);
    die("Writing ${lowerStripFile}.qmt failed") if $?;
    close(TEMPLATE);
    die("Reading ${template} failed") if $?;
}
