#! /bin/bash
##
## Test the Pooma Source Code
##

source ${HOME}/.profile

# Declare useful variables.

# the directory containing the QMTest test programs
REGRESSIONDIR=${HOME}/pooma/tests/regression
# the file where the Pooma library construction results should be stored
LOGFILE=${REGRESSIONDIR}/results/`date +%b%d`.log
# the file where the QMTest XML results should be stored
XMLFILE=${REGRESSIONDIR}/results/`date +%b%d`.xml
# the file where the QMTest summary results should be stored
SUMFILE=${REGRESSIONDIR}/results/`date +%b%d`.sum
# the root of the Pooma directory
POOMADIR=${HOME}/pooma/pooma0/
# architecture information
POOMASUITE=LINUXgcc

# Make the Pooma library and then run the regression tests.

cd ${POOMADIR} && make cleansuite 2>&1 > /dev/null
cvs update -A >> ${LOGFILE} 2>&1 && \
./configure --arch ${POOMASUITE} --suite ${POOMASUITE} --opt --bounds >> ${LOGFILE} && \
declare -x POOMASUITE ${POOMASUITE} && make -j 2 -k >> ${LOGFILE} && \
qmtest --db-path ${REGRESSIONDIR} \
  run --output ${REGRESSIONDIR}/results/`date +%b%d`.xml \
      --summary ${REGRESSIONDIR}/results/`date +%b%d`.sum \
      -c poomasuite=${POOMASUITE} -c pooma_home=${POOMADIR}
